# $Revision: 1.9 $, $Date: 2008/12/15 21:15:09 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress-Zlib
Summary:	Perl interface to read/write gzip and zip files/buffers
Summary(pl.UTF-8):	Perlowy interfejs do odczytu/zapisu plików/buforów gzip i zip
Name:		perl-IO-Compress-Zlib
Version:	2.015
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	22f3b677a6f1782713c8451966598d3f
URL:		http://search.cpan.org/dist/IO-Compress-Zlib/
%if %{with tests}
BuildRequires:	perl-Compress-Raw-Zlib >= %{version}
BuildRequires:	perl-IO-Compress-Base >= %{version}
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to allow reading and writing of
RFC 1950, 1951, 1952 (i.e. gzip) and zip files/buffers.

%description -l pl.UTF-8
Ten moduł udostępnia perlowy interfejs pozwalający na odczyt i zapis
plików/buforów w formacie zgodnym z RFC 1950, 1951, 1952 (czyli gzip)
oraz zip.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INST_LIB=blib/lib
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/Compress/Adapter/Deflate.pm
%{perl_vendorlib}/IO/Compress/Adapter/Identity.pm
%{perl_vendorlib}/IO/Compress/Deflate.pm
%{perl_vendorlib}/IO/Compress/Gzip.pm
%{perl_vendorlib}/IO/Compress/RawDeflate.pm
%{perl_vendorlib}/IO/Compress/Zip.pm
%{perl_vendorlib}/IO/Compress/Gzip
%{perl_vendorlib}/IO/Compress/Zip
%{perl_vendorlib}/IO/Compress/Zlib
%{perl_vendorlib}/IO/Uncompress/Adapter/Identity.pm
%{perl_vendorlib}/IO/Uncompress/Adapter/Inflate.pm
%{perl_vendorlib}/IO/Uncompress/AnyInflate.pm
%{perl_vendorlib}/IO/Uncompress/Gunzip.pm
%{perl_vendorlib}/IO/Uncompress/Inflate.pm
%{perl_vendorlib}/IO/Uncompress/RawInflate.pm
%{perl_vendorlib}/IO/Uncompress/Unzip.pm
%{_mandir}/man3/IO::*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Compress-Zlib.spec,v $
Revision 1.9  2008/12/15 21:15:09  qboosh
- install to vendorlib (not vendorarch) even on perl 5.10

Revision 1.8  2008/12/14 12:49:01  agaran
- up to 2.015

Revision 1.7  2008/02/09 18:42:05  wolvverine
- up rel.2

Revision 1.6  2007-12-19 16:36:00  zbyniu
- up to 2.008

Revision 1.5  2007-05-29 22:50:45  qboosh
- versioned deps

Revision 1.4  2007/05/29 22:30:49  agaran
- up to 2.004, rel 1, builds here

Revision 1.3  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.1  2006/12/22 18:51:11  qboosh
- new
